curl --request PATCH \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/risk \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/risk"
payload = { "comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
} }
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
comment: {
text: 'Update after speaking to customer over the phone directly.',
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'
}
})
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"riskAssessment": {
"serviceProfileId": "<string>",
"workflowId": "<string>",
"workflowExecutionId": "<string>",
"entityId": "<string>",
"riskAssessmentId": "<string>",
"schemaVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedRequestId": "<string>",
"workflowRiskScore": 123,
"workflowRiskLevel": "UNKNOWN",
"riskScore": 123,
"riskLevel": "UNKNOWN",
"isOutdated": false,
"riskFactors": [
{
"riskFactorId": "<string>",
"factor": "<string>",
"value": "<string>",
"score": 123,
"description": "<string>",
"workflowExecutionId": "<string>",
"stepResultId": "<string>",
"manualOverrideScore": 123,
"status": "VALID",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedRequestId": "<string>",
"createdServiceProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdWorkflowExecutionId": "<string>",
"createdStepResultId": "<string>"
}
]
}
}Update an organization entity's risk level for a service profile.
This endpoint allows you to override the calculated risk level for the last completed workflow of an organization entity’s service profile.
Note:
- This operation will not trigger a new workflow but will be used in the next workflow execution unless risk factors change or results are invalidated.
- To execute the workflow, use the endpoint
POST /v2/organizations/{entityId}/serviceprofiles/{serviceName}/workflows/{workflowName}/execute.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
The unique name of the service profile
Body
Was this page helpful?